# Function insert

- insert(tbl, obj, opts?): Promise<any>

- #### Parameters

  - ##### tbl: string

  - ##### obj: Row

  - ##### opts: {
    ignoreExisting?: boolean;
    jsonCols?: string[];
    noid?: boolean;
    replace?: boolean;
    } = {}

    - ##### `Optional` ignoreExisting?: boolean

    - ##### `Optional` jsonCols?: string[]

    - ##### `Optional` noid?: boolean

    - ##### `Optional` replace?: boolean

  #### Returns Promise<any>

  - Defined in sqlite-mobile/sqlite_capacitor.ts:76

Generated using TypeDoc